;
; basicwedge.asm - bank 3 part of basic extensions
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;    This file is part of IDEDOS the IDE64 disk operating system
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

mydoit		.proc
		beq emptycommand
		asl
		bcc nottoken
		cmp #$23+$23
		bcs overtat
		tay
		lda basic_keyw+1,y
		bpl hackedb
		pha
		lda basic_keyw,y
		pha
		jmp basexeccmd
hackedb		jmp hackedb2
overtat		jmp overt
nottoken	lsr
		ldx #$00
		stx $0c
		sta $45
		cmp #"a"
		bcc mymiscat
		cmp #1+"z"
		bcs mymiscat
		jmp basnottoken
mymiscat	jmp mymisc
emptycommand	jmp exit2basic

basic_keyw	.word $A830,$A741,$AD1D,$A8F7;$80
		.word $ABA4,$ABBE,$B080,$AC05;$84
		.word $A9A4,$A89F,$A870,0;$88
		.word $A81C,$A882,$A8D1,$A93A;$8c
		.word $A82E,$A94A,$B82C,0;$90
		.word 0    ,0    ,0    ,$B823;$94
		.word $AA7F,$AA9F,$A856,$A69B;$98
		.word $A65D,$AA85,0    ,$E1BD;$9c
		.word $E1C6,$AB7A,$A641
		.pend
